# -*- coding: utf-8 -*-
"""
| ----------------------------------------------------------------------------------------------------------------
| Date                : April 2020
| Copyright           : (C) 2020 by Ann Crabbé
| Email               : crabbe.ann@gmail.com
|
| This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public
| License as published by the Free Software Foundation; either version 3 of the License, or any later version.
| ----------------------------------------------------------------------------------------------------------------
"""
from os import path

package_name_pip = 'treedensitycalculator'
qgis_plugin_name = 'Tree Density Calculator'
read_the_docs_name = 'TreeDensityCalculator'
sphinx_title = 'Tree Density Calculator Documentation'

author = 'Ann Crabbé (KU Leuven); Tinne Cahy (Geo Solutions)'
author_doc = 'Ann Crabbé (KU Leuven)'
author_email = 'crabbe.ann@gmail.com'
author_copyright = '2020, Ann Crabbé'
short_version = '1.5'
long_version = '1.5.0'

bitbucket_home = 'https://bitbucket.org/kul-reseco/localmaxfilter'
bitbucket_src = 'https://bitbucket.org/kul-reseco/localmaxfilter/src'
bitbucket_issues = 'https://bitbucket.org/kul-reseco/localmaxfilter/issues'

read_the_docs = 'https://treedensitycalculator.readthedocs.io'

keywords = ['forestry', 'tree density', 'remote sensing']

qgis_min_version = '3.6'

short_description = 'The Tree Density Calculator is a QGIS plugin and command line interface package designed to ' \
                    'calculate tree densities based on brightness images.'
long_description = 'The Tree Density Calculator is a QGIS plugin and command line interface package designed to ' \
                    'calculate tree densities based on brightness images, using the local maximum of a sliding window.'

icon = 'images/lumos_h50.png'
qgis_category = 'Raster'
